clear all
global Tc Pc T P R
Tc=304.2;
Pc=72.9;
R=0.08206;
Tr=input('Input! the reduced temperature, Tr');
T=Tc*Tr;
Pr0=0.1;
Prf=10;
V0=input('Input! the molar volume at T=Tr*Tc');
[Pr V]=ode45('p401abc2f',[Pr0 Prf],V0);
P=Pc*Pr;
Z=(P.*V)./(R.*T);
plot(Pr,Z);
xlabel('Reduced Pressure')
ylabel('Compressibility Factor')
axis([0.1 10 0 1.5])

