clear all
global a b
load p411
a=polyfit(x1,P,3);
b=polyder(a);
x10=1e-5;
x1f=0.999999;
x1=[x10 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 x1f];
y10=9.029e-5;
I0=0;
[x1 y]=ode45('p411abcf',x1,[y10 I0]);
P=polyval(a,x1);
y1=y(:,1);
gamma1=y1.*P./(x1*271);
gamma2=(1-y1).*P./((1-x1)*57.52);
disp('      x1        y1      gamma1    gamma2     P');
disp([x1 y1 gamma1 gamma2 P]);
[x1 y]=ode45('p411abcf',[x10 x1f],[y10 I0]);
I=y(:,2);
plot(x1,I)
axis([0 1 -0.025 0.225]);
xlabel('liquid phase mole fraction of 1 (x1)');
ylabel('Integral of eq. (4.52)');