clear all
global P R T Tc Pc a b
T=50+273.15;
R=0.08206;
Tc=304.2;
Pc=72.9;
a=0.42747*R^2*Tc^(5/2)/Pc;
b=0.08664*R*Tc/Pc;
W0=0;
Y0=0;
Yf=26.1493;
[Y W]=ode45('p403a2f',[Y0 Yf],W0);
V=26.4134-Y;
P=(R*T)./(V-b)-a./(V.*(V+b)*sqrt(T));
Pideal=(R*T)./V;
Wideal=-R*T*log(V./26.4134);
lnV=log(V);
lnP=log(P);
lnPideal=log(Pideal);
disp('      V         P      Pideal        W       Wideal')
disp([V P Pideal W Wideal])
plot(lnV,lnP,lnV,lnPideal,':')
xlabel('ln(V)')
ylabel('ln(P)')