clear all
global P T R a b 
P=1;
R=0.08206;
Tc=674.4;
Pc=218.3;
a=0.42747*R^2*Tc^(5/2)/Pc;
b=0.08664*R*Tc/Pc;
T0=273.15;
T=100+273.15;
a0=7.70;
a1=0.04594e-2;
a2=0.2521e-5;
a3=-0.8587e-9;
V0=R*T/P;
V=fzero('p404af',V0);
Z=P*V/(R*T);
Vsp=V/18;
Hv0=a0*(T-T0)+a1/2*(T^2-T0^2)+a2/3*(T^3-T0^3)+a3/4*(T^4-T0^4);
Hdep=R*T*(Z-1-1.5*a*log(1+b/V)/(b*R*T^1.5))/R*1.987;
Hv=2501.3+4.1868*(Hv0+Hdep)/18;  
disp('      T         P         V        Vsp        Z       Hv')
disp([T P V Vsp Z Hv])  
